# Collecting logs

## General logs

1. Go to the `Logs` section (top bar)
2. You'll see directories for `api`, `appserver` , `cloudserver` , `cloudagent` and one directory for each node (same as their names)
3. To download all logs - click the button `Download all logs` which will generate an archive containing all logs
4. To download a specific file - browse to the directory and click the name of the log

{% hint style="info" %}
**Note:** By downloading logs from WebUI you can also download logs for Storware Backup & Recovery Cloud server and agent
{% endhint %}

### Backup-related logs

1. Go to the VM details and `backup history` tab
2. Click the second icon on the right of the backup you want to collect logs for
3. Downloaded file is `vprotect_daemon.log` file filtered, so it should contain only entries related to the tasks of backup/restore operations related to this backup

## Directly from the operating system

### Storware Backup & Recovery Node

Log files are stored in this folder: `/opt/vprotect/logs/<node_name>`:

* `vprotect_client.log` - stores CLI-related messages
* `vprotect_daemon.log` - stores Storware Backup & Recovery Node's engine-related message

### Storware Backup & Recovery Server

Log files are stored in:

* `/opt/vprotect/logs/appserver` - application server (hosting Storware Backup & Recovery Server) messages
* `/opt/vprotect/logs/api` - Storware Backup & Recovery Server application logs

### Storware Backup & Recovery Hyper-v Agent

For Storware Backup & Recovery Hyper-v agent, logs are stored in this folder: `c:\Program Files\HyperVAgent\Hyper-v Agent\bin\Logs`

### Tape manager

For tape manager, logs are stored in `/opt/vprotect/logs/tm` directory on the host where sbr-tape-manager service is installed.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.storware.eu/backup-and-recovery-71/troubleshooting/collecting-logs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
